# Package groovy.json.internal

package groovy.json.internal

Related Packages
Package
Description
groovy.json
Class
Description
ArrayUtils
BaseJsonParser
Base JSON parser.
ByteScanner
Cache<KEY,VALUE>
Cache
CacheType
CharacterSource
CharBuf
CharScanner
CharSequenceValue
Chr
Dates
Exceptions
Exceptions.JsonInternalException
FastStringUtils
Internal class for fast processing of Strings during JSON parsing
FastStringUtils.StringImplementation
IO
JsonFastParser
This works in index overlay mode or chop mode.
JsonParserCharArray
Converts an input JSON String into Java objects works with String or char array as input.
JsonParserLax
JsonParserUsingCharacterSource
Converts an input JSON String into Java objects works with String or char array as input.
JsonStringDecoder
LazyMap
This maps only builds once you ask for a key for the first time.
LazyValueMap
This class is important to the performance of the parser.
MapItemValue
This holds a mapping from value key to value value to maximize laziness.
NumberValue
ReaderCharacterSource
SimpleCache<K,V>
Type
Value
ValueContainer
ValueList
ValueMap<K,V>
ValueMapImpl
This map is for object serialization mainly.